# GimpUi.ScaleEntry.get_range

    @accepts(GimpUi.ScaleEntry)
    @returns(Gtk.Range)
    def get_range(self):
        # Python wrapper for gimp_scale_entry_get_range()

This function returns the Gtk.Range packed in self. This can be useful if you need to customize some aspects of the widget

By default, it is a Gtk.Scale, but it can be any other type of Gtk.Range if a subclass overrode the new_range_widget() protected method.

self

  The #GtkScaleEntry.

Returns